# Uses of Class
org.springframework.scheduling.config.CronTask

Packages that use CronTask
Package
Description
org.springframework.scheduling.config
Support package for declarative scheduling configuration, with XML schema being the primary configuration format.

## Uses of CronTask in org.springframework.scheduling.config

Methods in org.springframework.scheduling.config that return types with arguments of type CronTask
Modifier and Type
Method
Description
`List<CronTask>`
ScheduledTaskRegistrar.`getCronTaskList()`
Get the cron tasks as an unmodifiable list of `CronTask` objects.
Methods in org.springframework.scheduling.config with parameters of type CronTask
Modifier and Type
Method
Description
`void`
ScheduledTaskRegistrar.`addCronTask(CronTask task)`
Add a `CronTask`.
`ScheduledTask`
ScheduledTaskRegistrar.`scheduleCronTask(CronTask task)`
Schedule the specified cron task, either right away if possible or on initialization of the scheduler.
Method parameters in org.springframework.scheduling.config with type arguments of type CronTask
Modifier and Type
Method
Description
`void`
ScheduledTaskRegistrar.`setCronTasksList(List<CronTask> cronTasks)`
Specify triggered tasks as a list of `CronTask` objects.